CMSIS-Core (Cortex-M): MVE Functions

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Functions
MVE Functions

Functions that relate to the MVE (Cortex-M Vector Extensions) Unit. More...

## Functions
__STATIC_INLINE uint32_t | SCB_GetMVEType (void)
| Get the MVE type. More...

## Description

Functions that relate to the MVE (Cortex-M Vector Extensions) Unit.

Some Cortex-M processors include an optional MVE unit.

## Function Documentation

__STATIC_INLINE uint32_t SCB_GetMVEType | ( | void |  | ) |

Get the MVE type.

Returns the MVE type.

Returns
  - 0: No Vector Extension (MVE)
  - 1: Integer Vector Extension (MVE-I)
  - 2: Floating-point Vector Extension (MVE-F)